Subject: Re: bug#65491: [PATCH] Improve performance allocating vectors

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Sep 2023 20:13:45 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Mon, 18 Sep 2023 18:10:47 +0200
> Cc: Paul Eggert <[email-masked]>,
>  [email-masked],
>  [email-masked]
> 
> 17 sep. 2023 kl. 18.44 skrev Eli Zaretskii <[email-masked]>:
> 
> > Feel free to add any comments you find useful, that is always welcome.
> > But comments about complicated code have one downside: they need to be
> > updated when the code changes, and people forget to do that...
> 
> Eli and Paul, thank you very much. I'm reapplying the patches (that we now know shouldn't cause warnings), with added comments with respect to the vanishing subtrahend in -with-wide-int builds.

Fine with me, but I still hope Paul will do good on his proposal to
add comments...

> The conversion at the other end, TAG_PTR, suffers from the same potential problem but in reverse, which is perhaps less obvious to the casual C programmer but nevertheless a danger of the same kind, so we'd better do something about it as well. I'll be back with a proposed patch.

Thanks.